midid(1)

NAME
midid - Raw Midi interpreter

SYNOPSIS

midid [OPTIONS] [input_file]

DESCRIPTION

This manual page documents briefly the midid command.

midid reads STDIN or input_file and interprets it as raw MIDI data according to the General Midi standard.

The General Midi data is sent to a sound device (default), a .MID file, or to timidity(1) if you specify it.

midid includes a standalone mode for timidity(1): midid will then attempt to start and configure timidity(1) itself for you.

OPTIONS

  Standard options

-o seconds--timeout=seconds
    Turns output off after seconds of inactivity. (default: 0 - no timeout)

-r,--resident
    Stays resident ; doesn't stop at the end of file. It works only if input_file isn't STDIN.

-g,--emulate-gm
    Selects GM mode (default).

-m,--emulate-mt
    Selects MT32 mode.

-d device,--device=device
    Comma-separated list of devices to use for output.

-l,--list-devices
    Lists devices.

-h  Displays a help message.

  Options for .MID file output device

-f,--file filename
    Sets the .MID output filename. Default: midid.mid.

-t bpm,--tempo=bpm
    Sets the tempo (beats/minute). Default: 120.

-q tickrate,--tick-rate=tickrate
    Sets the number of ticks/quarter note. Default: 144.

  Options for timidity(1) client

-s server,--server-name=server,
    Sets the timidity(1) server host name. Default: localhost.

-p port,--port=port
    Sets the timidity(1) server control port. Default: 0. Specifying 0 enables the standalone mode: midid will attempt to start and configure timidity(1) itself.

  Options for using standalone mode with timidity(1)

-B path,--timidity-bin=path
    Sets the timidity binary path.

-A args,--timidity-args=args
    Specifies some extra arguments to pass to timidity(1) . Default: -EFreverb=0 -EFchorus=0 -EFresamp=1 -EFvlpf=0 -EFns=0.

-M,--timidity-mono
    Tells timidity(1) to produce mono sound instead of stereo.

-L,--timidity-low
    Tells timidity(1) to produce the low-q 8bit sound instead of the 16bit.

-U,--timidity-uns
    Tells timidity(1) to produce the unsigned samples instead of the signed ones.

-F rate,--timidity-freq=rate
    Sets the sampling rate for timidity(1).

-C,--timidity-capture
    Enables the capturing mode: the data produced by timidity(1) gets captured by midid and forwarded to stdout. You won't hear any sound in that mode.

SEE ALSO
timidity(1)

AUTHORS

midid is:

Copyright (c) 1997 R.Nijlunsing <rutger@null.net>

Copyright (c) 2002 Robert Komar <rkomar@telus.net>

Copyright (c) 2002-2005 Stas Sergeev <stsp@users.sourceforge.net> This manual page was written by Francois Wendling <frwendling@free.fr> for the Debian GNU/Linux system (but may be used by others).